---
title: "Transaction List"
source_url: https://docs.rapyd.net/en/transaction-list.html
lang: en
---

# Transaction List

Send a request to trigger and print a Transaction List report for a specified date range on a PAX POS device.

This endpoint retrieves a list of transactions from the terminal within a specified date range.

**Flow:**

1. Send request to terminal with start and end dates (ISO 8601 format)
2. Terminal queries transactions within the date range.
3. Terminal sends response via webhook to your callback URL.

**Response:** The terminal will send a webhook with eventType "REPORT_INFORMATION", reportType "TRANSACTION_LIST", and a transactionList array containing the matching transactions.

> **Note:**
>
> Report requests do **not** trigger a `SALE_RECEIVED` event. The terminal immediately processes the request and returns the result via a `REPORT_INFORMATION` callback.

### Parameters

### Request Header Parameters

- - X-API-KEY
  - Unique access key provided by Rapyd for each partner.

### Request Body Parameters

- - disablePrinting
  - Indicates if to print a receipt. Default is `false` (printing is enabled by default for reports).

- - startDate
  - The start date of the reporting period in ISO 8601 format (e.g., "2025-12-08T00:00:00Z").

- - endDate
  - The end date of the reporting period in ISO 8601 format (e.g., "2025-12-08T23:59:59Z").

- - callbackUrl
  - The URL that CloudLinkApi will use to return information to the caller.

- - deviceToken
  - The token of a PAX POS device.

- - correlationId
  - An ID provided by the caller. Returned in the callback for message matching.

- - timeToLive
  - The maximum time, in seconds, for a request to reach the physical terminal. The default value is 5 seconds.

- - terminalId
  - If terminal has more than one merchant, this field is used to identify the merchant. To get a list of merchants, use the requestMerchantConfig request. Value can be null.

### 202 Accepted Response

- - message
  - Accepted

### 400 Error Response

- - type
  - Example: https://tools.ietf.org/html/rfc7231#section-6.5.1

- - title
  - Bad Request

- - status
  - 400

- - detail
  - DeviceId not registered

### 401 Error Response

- - message
  - Unauthorized

### 500 Error Response

- - message
  - Server Error

- /transactionlist

- 202 Accepted Transaction List Request
- ```curl
  curl -X post https://CloudLinkApi/transactionlist \
  -H 'X-API-KEY: your-access-key-here' \
  -d '
  {
    "disablePrinting": false,
    "startDate": "2025-12-08T00:00:00Z",
    "endDate": "2025-12-08T23:59:59Z",
    "callbackUrl": "http://example.com/webhook-endpoint",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null 
  }
  ' 
  ```
- ```json
  {
    "message": "Accepted"	
  }
  ```

- 400 Bad Request
- ```curl
  curl -X post https://CloudLinkApi/transactionlist \
  -H 'X-API-KEY: your-access-key-here' \
  -d '
  {
    "disablePrinting": false,
    "startDate": "2025-12-08T00:00:00Z",
    "endDate": "2025-12-08T23:59:59Z",
    "callbackUrl": "http://example.com/webhook-endpoint",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  '
  ```
- ```json
  {
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
    "title": "Bad Request",
    "status": 400,
    "detail": "DeviceId not registered"
  }
  ```

- 401 Unauthorized
- ```curl
  curl -X post https://CloudLinkApi/transactionlist \
  -H 'X-API-KEY: your-access-key-here' \
  -d '
  {
    "disablePrinting": false,
    "startDate": "2025-12-08T00:00:00Z",
    "endDate": "2025-12-08T23:59:59Z",
    "callbackUrl": "http://example.com/webhook-endpoint",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  ' 
  ```
- ```json
  {
    "message": "Unauthorized"
  }
  ```

- 500 Server Error
- ```curl
  curl -X post https://CloudLinkApi/transactionlist \
  -H 'X-API-KEY: your-access-key-here' \
  -d '
  {
    "disablePrinting": false,
    "startDate": "2025-12-08T00:00:00Z",
    "endDate": "2025-12-08T23:59:59Z",
    "callbackUrl": "http://example.com/webhook-endpoint",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null 
  }
  '
  ```
- ```json
  {
    "message": "Server Error"
  }
  ```
